List external users

GET /v1/api/users.json

Operation id: listExternalUsers

Description

Lists users for the given domain (LIST^USER). Route consumes application/json for matching; send Content-Type: application/json if required by the gateway.

Tags: Users

Parameters

Query parameters

NameTypeRequiredDescription
include_inactive_usersbooleanNoInclude inactive users in the response.
page_numberintegerNo1-based page number.

Header parameters

NameTypeRequiredDescription
X-reflexis-auth-token-XstringYesMandatory auth token header value provided by the user.

Responses

200 — List of users

Content type: application/json

400 — One or more request parameters are invalid.

Content type: application/json

401 — Authentication failed. The request is missing a token, the token is invalid, or the token has expired.

Content type: application/json

403 — User lacks the required permission for this operation.

Content type: application/json

500 — An unexpected error occurred while processing the request.

Content type: application/json

Response models

200 — List of users

Content type: application/json

Schema

{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "object": {
        "type": "string",
        "example": "user"
      },
      "user_id": {
        "type": "string"
      },
      "user_name": {
        "type": "string"
      },
      "username": {
        "type": "string"
      },
      "first_name": {
        "type": "string"
      },
      "middle_name": {
        "type": "string"
      },
      "last_name": {
        "type": "string"
      },
      "email_id": {
        "type": "string",
        "format": "email"
      },
      "recovery_email_id": {
        "type": "string",
        "format": "email"
      },
      "phone_no": {
        "type": "string"
      },
      "tel_no": {
        "type": "string"
      },
      "mobile_no": {
        "type": "string"
      },
      "mobile_phone": {
        "type": "string"
      },
      "fax_no": {
        "type": "string"
      },
      "tel_carrier": {
        "type": "string"
      },
      "mobile_carrier": {
        "type": "string"
      },
      "status": {
        "type": "string"
      },
      "redirect_to_login": {
        "type": "boolean"
      },
      "unit_id": {
        "type": "string"
      },
      "works_in": {
        "type": "string"
      },
      "primary_profile": {
        "type": "string"
      },
      "profile_ids": {
        "type": "array",
        "items": {
          "type": "string"
        }
      },
      "dept_ids": {
        "type": "array",
        "items": {
          "type": "string"
        }
      },
      "time_zone": {
        "type": "string"
      },
      "locale": {
        "type": "string"
      },
      "user_no": {
        "type": "integer",
        "format": "int64"
      },
      "user_skey": {
        "type": "integer",
        "format": "int64"
      },
      "domain_no": {
        "type": "integer",
        "format": "int64"
      },
      "created_by": {
        "type": "integer",
        "format": "int64"
      },
      "updated_by": {
        "type": "integer",
        "format": "int64"
      },
      "created_on": {
        "type": "integer",
        "format": "int64",
        "description": "Epoch time in milliseconds."
      },
      "updated_on": {
        "type": "integer",
        "format": "int64",
        "description": "Epoch time in milliseconds."
      }
    }
  }
}

400 — One or more request parameters are invalid.

Content type: application/json

Schema

Structured error envelope returned by external gateway endpoints (/v1/api/*). Wraps a single error object with type, code, human-readable message, the offending param (when applicable), and an optional documentation URL.

PropertyTypeRequiredDescription
errorobjectNo
{
  "type": "object",
  "description": "Structured error envelope returned by external gateway endpoints (`/v1/api/*`).\nWraps a single `error` object with `type`, `code`, human-readable `message`, the offending\n`param` (when applicable), and an optional documentation URL.\n",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "type": {
          "type": "string",
          "description": "High-level error category (for example `unauthorized`, `invalid_parameter`, `validation_error`).",
          "example": "invalid_parameter"
        },
        "code": {
          "type": "string",
          "description": "Machine-readable error code; clients should branch on this rather than `message`.",
          "example": "invalid_parameter"
        },
        "message": {
          "type": "string",
          "description": "Human-readable description of the error.",
          "example": "One or more request parameters are invalid."
        },
        "param": {
          "type": "string",
          "description": "Name of the request parameter or field that caused the error, when applicable.",
          "example": "page_number",
          "nullable": true
        },
        "doc_url": {
          "type": "string",
          "description": "Optional URL to documentation describing the error.",
          "example": "https://{APP_URL}/kernel/errors/invalid_parameter",
          "nullable": true
        }
      }
    }
  }
}

401 — Authentication failed. The request is missing a token, the token is invalid, or the token has expired.

Content type: application/json

Schema

Structured error envelope returned by external gateway endpoints (/v1/api/*). Wraps a single error object with type, code, human-readable message, the offending param (when applicable), and an optional documentation URL.

PropertyTypeRequiredDescription
errorobjectNo
{
  "type": "object",
  "description": "Structured error envelope returned by external gateway endpoints (`/v1/api/*`).\nWraps a single `error` object with `type`, `code`, human-readable `message`, the offending\n`param` (when applicable), and an optional documentation URL.\n",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "type": {
          "type": "string",
          "description": "High-level error category (for example `unauthorized`, `invalid_parameter`, `validation_error`).",
          "example": "invalid_parameter"
        },
        "code": {
          "type": "string",
          "description": "Machine-readable error code; clients should branch on this rather than `message`.",
          "example": "invalid_parameter"
        },
        "message": {
          "type": "string",
          "description": "Human-readable description of the error.",
          "example": "One or more request parameters are invalid."
        },
        "param": {
          "type": "string",
          "description": "Name of the request parameter or field that caused the error, when applicable.",
          "example": "page_number",
          "nullable": true
        },
        "doc_url": {
          "type": "string",
          "description": "Optional URL to documentation describing the error.",
          "example": "https://{APP_URL}/kernel/errors/invalid_parameter",
          "nullable": true
        }
      }
    }
  }
}

403 — User lacks the required permission for this operation.

Content type: application/json

Schema

Structured error envelope returned by external gateway endpoints (/v1/api/*). Wraps a single error object with type, code, human-readable message, the offending param (when applicable), and an optional documentation URL.

PropertyTypeRequiredDescription
errorobjectNo
{
  "type": "object",
  "description": "Structured error envelope returned by external gateway endpoints (`/v1/api/*`).\nWraps a single `error` object with `type`, `code`, human-readable `message`, the offending\n`param` (when applicable), and an optional documentation URL.\n",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "type": {
          "type": "string",
          "description": "High-level error category (for example `unauthorized`, `invalid_parameter`, `validation_error`).",
          "example": "invalid_parameter"
        },
        "code": {
          "type": "string",
          "description": "Machine-readable error code; clients should branch on this rather than `message`.",
          "example": "invalid_parameter"
        },
        "message": {
          "type": "string",
          "description": "Human-readable description of the error.",
          "example": "One or more request parameters are invalid."
        },
        "param": {
          "type": "string",
          "description": "Name of the request parameter or field that caused the error, when applicable.",
          "example": "page_number",
          "nullable": true
        },
        "doc_url": {
          "type": "string",
          "description": "Optional URL to documentation describing the error.",
          "example": "https://{APP_URL}/kernel/errors/invalid_parameter",
          "nullable": true
        }
      }
    }
  }
}

500 — An unexpected error occurred while processing the request.

Content type: application/json

Schema

Structured error envelope returned by external gateway endpoints (/v1/api/*). Wraps a single error object with type, code, human-readable message, the offending param (when applicable), and an optional documentation URL.

PropertyTypeRequiredDescription
errorobjectNo
{
  "type": "object",
  "description": "Structured error envelope returned by external gateway endpoints (`/v1/api/*`).\nWraps a single `error` object with `type`, `code`, human-readable `message`, the offending\n`param` (when applicable), and an optional documentation URL.\n",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "type": {
          "type": "string",
          "description": "High-level error category (for example `unauthorized`, `invalid_parameter`, `validation_error`).",
          "example": "invalid_parameter"
        },
        "code": {
          "type": "string",
          "description": "Machine-readable error code; clients should branch on this rather than `message`.",
          "example": "invalid_parameter"
        },
        "message": {
          "type": "string",
          "description": "Human-readable description of the error.",
          "example": "One or more request parameters are invalid."
        },
        "param": {
          "type": "string",
          "description": "Name of the request parameter or field that caused the error, when applicable.",
          "example": "page_number",
          "nullable": true
        },
        "doc_url": {
          "type": "string",
          "description": "Optional URL to documentation describing the error.",
          "example": "https://{APP_URL}/kernel/errors/invalid_parameter",
          "nullable": true
        }
      }
    }
  }
}